Subject: Re: bug#34939: Some minibuffer behaviour is annoying

From: Dmitry Gutov <[email-masked]>
Date: Mon, 1 Apr 2019 16:08:40 +0300

On 31.03.2019 23:29, Juri Linkov wrote:

> There is another place where messages conceal the minibuffer:
> running a version-control command that asks for a branch name
> and typing TAB for completion runs a command to fetch branch names.
> Its output conceals the minibuffer when vc-command-messages is non-nil.
> Here is a fix:

The patch is okay, but wouldn't it be better if 'message', when called 
from the minibuffer, went through command-error-function, or something 
like that?

So we could have a unified interface through which to change the behavior.